@import "variables";

// Grid breakpoints
//
// Define the minimum dimensions at which your layout will change,
// adapting to different screen sizes, for use in media queries.

/* $grid-breakpoints: (
  xs: 0,
  sm: $bootstrap-sm,
  md: $bootstrap-md,
  lg: $bootstrap-lg,
  xl: $bootstrap-xl
); commentato perche: vedi _variables.scss linea 250 */

// Grid containers
//
// Define the maximum width of `.container` for different screen sizes.

$container-max-widths: (
  /* vogliamo una griglia fluida con usa spaziatura laterale fissa, quindi rimuovere le max-width */
  /* sm: $bootstrap-sm-max-width,
  md: $bootstrap-md-max-width,
  lg: $bootstrap-lg-max-width,
  xl: $bootstrap-xl-max-width */
);

// Grid columns
//
// Set the number of columns and specify the width of the gutters.

$grid-columns: $bootstrap-columns;
$grid-gutter-width: $bootstrap-gutter;
$grid-row-columns: $bootstrap-row-columns;

@import "~bootstrap/scss/bootstrap-grid";

// Custom overwrite to defaults Bootstrap rules
@each $grid-breakpoint, $container-side-spacing in $bootstrap-container-side-spacings {
  @include media-breakpoint-up($grid-breakpoint) {
    .container {
      width: calc(100% - #{$container-side-spacing});
    }
  }
}

@each $grid-breakpoint, $grid-gutter-width in $bootstrap-gutters {
  @include media-breakpoint-up($grid-breakpoint) {
    $grid-gutter-half-width: $grid-gutter-width / 2;
    .row:not(.no-gutters) {
      margin-right: -$grid-gutter-half-width;
      margin-left: -$grid-gutter-half-width;
    }
    .container,
    .container-fluid,
    .row:not(.no-gutters) > .col,
    .row:not(.no-gutters) > [class*="col-"] {
      padding-right: $grid-gutter-half-width;
      padding-left: $grid-gutter-half-width;
    }
  }
}
